## ros-melodic-effort-controllers 0.17.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(effort_controllers)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
  angles
  controller_interface
  control_msgs
  control_toolbox
  forward_command_controller
  realtime_tools
  urdf
  pluginlib
)

include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})

# Declare catkin package
catkin_package(
  CATKIN_DEPENDS
    angles
    controller_interface
    control_msgs
    control_toolbox
    forward_command_controller
    realtime_tools
    urdf
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  )

add_library(${PROJECT_NAME}
  src/joint_effort_controller.cpp
  src/joint_velocity_controller.cpp
  src/joint_position_controller.cpp
  src/joint_group_effort_controller.cpp
  src/joint_group_position_controller.cpp
)

target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

# Install
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

# Install library
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
  )

install(FILES effort_controllers_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(controller_manager REQUIRED)
  find_package(controller_manager_msgs REQUIRED)
  find_package(rosgraph_msgs REQUIRED)
  find_package(sensor_msgs REQUIRED)
  find_package(std_msgs REQUIRED)

  include_directories(
    ${controller_manager_INCLUDE_DIRS}
    ${hardware_interface_INCLUDE_DIRS}
    ${rosgraph_msgs_INCLUDE_DIRS}
    ${sensor_msgs_INCLUDE_DIRS}
    ${std_msgs_INCLUDE_DIRS}
  )

  add_executable(simple_bot_hw test/simple_bot_hw.cpp)
  target_link_libraries(simple_bot_hw
    ${catkin_LIBRARIES}
    ${controller_manager_LIBRARIES}
    ${hardware_interface_LIBRARIES}
  )
  add_dependencies(tests simple_bot_hw)

  add_rostest_gtest(effort_position_controller_test
    test/effort_position_controller.test
    test/simple_bot_goto_position.cpp
  )
  target_link_libraries(
    effort_position_controller_test
    ${catkin_LIBRARIES}
  )
endif()

## ros-melodic-effort-controllers 0.17.1

=== debian/changelog ===
ros-melodic-effort-controllers (0.17.1-1stretch) stretch; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-melodic-effort-controllers (0.17.0-1stretch) stretch; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 May 2020 23:00:00 -0000

ros-melodic-effort-controllers (0.16.1-1stretch) stretch; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 26 Apr 2020 23:00:00 -0000

ros-melodic-effort-controllers (0.16.0-1stretch) stretch; urgency=high

  * Added test for position controller
  * Solving issues with large rotational limits
  * Bump CMake version to prevent CMP0048
  * Replace header guard with #pragma once
  * fix minor typo in documentation of setGains method
    Changes Get to Set of setGains method documentation
  * Contributors: Bence Magyar, F Pucher, Franco Fusco, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-melodic-effort-controllers (0.15.1-1stretch) stretch; urgency=high

  * add missing pluginlib deps.
  * effort_controllers: fix minor typo in setGains doc
  * Contributors: G.A. vd. Hoorn, Sean Yen

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-melodic-effort-controllers (0.15.0-1stretch) stretch; urgency=high

  * Default all controller builds to C++14
  * Use range-based for loops wherever possible
  * boost::scoped_ptr -> std::unique_ptr
  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-melodic-effort-controllers (0.14.3-1stretch) stretch; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-melodic-effort-controllers (0.14.2-1stretch) stretch; urgency=high

  * Update maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Oct 2018 23:00:00 -0000

ros-melodic-effort-controllers (0.14.1-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 25 Jun 2018 23:00:00 -0000

ros-melodic-effort-controllers (0.14.0-1stretch) stretch; urgency=high

  * migrate to new pluginlib headers
  * Contributors: Mathias Lüdtke

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 26 Apr 2018 23:00:00 -0000

ros-melodic-effort-controllers (0.13.2-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-melodic-effort-controllers (0.13.1-1stretch) stretch; urgency=high

  * Code cleanup
  * Add JointGroupPositionController
  * Contributors: Bence Magyar, Maik Mugnai

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-melodic-effort-controllers (0.13.0-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 09 Aug 2017 23:00:00 -0000

ros-melodic-effort-controllers (0.12.3-1stretch) stretch; urgency=high

  * Supply NodeHandle to urdf::Model. Closes #244 <https://github.com/ros-controls/ros_controllers/issues/244>
  * Contributors: Piyush Khandelwal

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sat, 22 Apr 2017 23:00:00 -0000

ros-melodic-effort-controllers (0.12.2-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-melodic-effort-controllers (0.12.1-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 08 Mar 2017 00:00:00 -0000

ros-melodic-effort-controllers (0.12.0-1stretch) stretch; urgency=high

  * Fix most catkin lint issues
  * Remove unused dependency
  * Change for format2
  * Add Enrique and Bence to maintainers
  * Replace boost::shared_ptr<urdf::XY> with urdf::XYConstSharedPtr when exists
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 15 Feb 2017 00:00:00 -0000

ros-melodic-effort-controllers (0.11.2-1stretch) stretch; urgency=high

  * Included angles in dependencies
  * Contributors: Mr-Yellow

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 15 Aug 2016 23:00:00 -0000

ros-melodic-effort-controllers (0.11.1-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 22 May 2016 23:00:00 -0000

ros-melodic-effort-controllers (0.11.0-1stretch) stretch; urgency=high

  * Add antinwindup to get and setGains logic for underlying PID controller
  * Contributors: Paul Bovbel

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 02 May 2016 23:00:00 -0000

ros-melodic-effort-controllers (0.10.0-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-melodic-effort-controllers (0.9.2-1stretch) stretch; urgency=high

  * Thread-safe and realtime-safe forward controllers.
  * Contributors: Mathias Lüdtke

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 03 May 2015 23:00:00 -0000

ros-melodic-effort-controllers (0.9.1-1stretch) stretch; urgency=high

  * Update package maintainers
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-melodic-effort-controllers (0.9.0-1stretch) stretch; urgency=high

  * Propagate changes made in forward_command_controller
  * Contributors: ipa-fxm

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 31 Oct 2014 00:00:00 -0000



=== debian/control ===
Source: ros-melodic-effort-controllers
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-angles, ros-melodic-catkin, ros-melodic-control-msgs, ros-melodic-control-toolbox, ros-melodic-controller-interface, ros-melodic-controller-manager, ros-melodic-forward-command-controller, ros-melodic-hardware-interface, ros-melodic-pluginlib, ros-melodic-realtime-tools, ros-melodic-robot-state-publisher, ros-melodic-rosgraph-msgs, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-urdf, ros-melodic-xacro
Homepage: https://github.com/ros-controls/ros_controllers/wiki
Standards-Version: 3.9.2

Package: ros-melodic-effort-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-angles, ros-melodic-control-msgs, ros-melodic-control-toolbox, ros-melodic-controller-interface, ros-melodic-forward-command-controller, ros-melodic-pluginlib, ros-melodic-realtime-tools, ros-melodic-urdf
Description: effort_controllers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-effort-controllers//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-effort-controllers 0.17.3

=== debian/changelog ===
ros-melodic-effort-controllers (0.17.3-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-melodic-effort-controllers (0.17.2-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 20 Jan 2021 00:00:00 -0000

ros-melodic-effort-controllers (0.17.1-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-melodic-effort-controllers (0.17.0-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 May 2020 23:00:00 -0000

ros-melodic-effort-controllers (0.16.1-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 26 Apr 2020 23:00:00 -0000

ros-melodic-effort-controllers (0.16.0-1bionic) bionic; urgency=high

  * Added test for position controller
  * Solving issues with large rotational limits
  * Bump CMake version to prevent CMP0048
  * Replace header guard with #pragma once
  * fix minor typo in documentation of setGains method
    Changes Get to Set of setGains method documentation
  * Contributors: Bence Magyar, F Pucher, Franco Fusco, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-melodic-effort-controllers (0.15.1-1bionic) bionic; urgency=high

  * add missing pluginlib deps.
  * effort_controllers: fix minor typo in setGains doc
  * Contributors: G.A. vd. Hoorn, Sean Yen

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-melodic-effort-controllers (0.15.0-1bionic) bionic; urgency=high

  * Default all controller builds to C++14
  * Use range-based for loops wherever possible
  * boost::scoped_ptr -> std::unique_ptr
  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-melodic-effort-controllers (0.14.3-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-melodic-effort-controllers (0.14.2-1bionic) bionic; urgency=high

  * Update maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Oct 2018 23:00:00 -0000

ros-melodic-effort-controllers (0.14.1-1bionic) bionic; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 25 Jun 2018 23:00:00 -0000

ros-melodic-effort-controllers (0.14.0-1bionic) bionic; urgency=high

  * migrate to new pluginlib headers
  * Contributors: Mathias Lüdtke

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 26 Apr 2018 23:00:00 -0000

ros-melodic-effort-controllers (0.13.2-1bionic) bionic; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-melodic-effort-controllers (0.13.1-1bionic) bionic; urgency=high

  * Code cleanup
  * Add JointGroupPositionController
  * Contributors: Bence Magyar, Maik Mugnai

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-melodic-effort-controllers (0.13.0-1bionic) bionic; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 09 Aug 2017 23:00:00 -0000

ros-melodic-effort-controllers (0.12.3-1bionic) bionic; urgency=high

  * Supply NodeHandle to urdf::Model. Closes #244 <https://github.com/ros-controls/ros_controllers/issues/244>
  * Contributors: Piyush Khandelwal

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sat, 22 Apr 2017 23:00:00 -0000

ros-melodic-effort-controllers (0.12.2-1bionic) bionic; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-melodic-effort-controllers (0.12.1-1bionic) bionic; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 08 Mar 2017 00:00:00 -0000

ros-melodic-effort-controllers (0.12.0-1bionic) bionic; urgency=high

  * Fix most catkin lint issues
  * Remove unused dependency
  * Change for format2
  * Add Enrique and Bence to maintainers
  * Replace boost::shared_ptr<urdf::XY> with urdf::XYConstSharedPtr when exists
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 15 Feb 2017 00:00:00 -0000

ros-melodic-effort-controllers (0.11.2-1bionic) bionic; urgency=high

  * Included angles in dependencies
  * Contributors: Mr-Yellow

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 15 Aug 2016 23:00:00 -0000

ros-melodic-effort-controllers (0.11.1-1bionic) bionic; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 22 May 2016 23:00:00 -0000

ros-melodic-effort-controllers (0.11.0-1bionic) bionic; urgency=high

  * Add antinwindup to get and setGains logic for underlying PID controller
  * Contributors: Paul Bovbel

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 02 May 2016 23:00:00 -0000

ros-melodic-effort-controllers (0.10.0-1bionic) bionic; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-melodic-effort-controllers (0.9.2-1bionic) bionic; urgency=high

  * Thread-safe and realtime-safe forward controllers.
  * Contributors: Mathias Lüdtke

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 03 May 2015 23:00:00 -0000

ros-melodic-effort-controllers (0.9.1-1bionic) bionic; urgency=high

  * Update package maintainers
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 03 Nov 2014 00:00:00 -0000



=== debian/control ===
Source: ros-melodic-effort-controllers
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-angles, ros-melodic-catkin, ros-melodic-control-msgs, ros-melodic-control-toolbox, ros-melodic-controller-interface, ros-melodic-controller-manager <!nocheck>, ros-melodic-forward-command-controller, ros-melodic-hardware-interface <!nocheck>, ros-melodic-pluginlib, ros-melodic-realtime-tools, ros-melodic-robot-state-publisher <!nocheck>, ros-melodic-rosgraph-msgs <!nocheck>, ros-melodic-rostest <!nocheck>, ros-melodic-sensor-msgs <!nocheck>, ros-melodic-std-msgs <!nocheck>, ros-melodic-urdf, ros-melodic-xacro <!nocheck>
Homepage: https://github.com/ros-controls/ros_controllers/wiki
Standards-Version: 3.9.2

Package: ros-melodic-effort-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-angles, ros-melodic-control-msgs, ros-melodic-control-toolbox, ros-melodic-controller-interface, ros-melodic-forward-command-controller, ros-melodic-pluginlib, ros-melodic-realtime-tools, ros-melodic-urdf
Description: effort_controllers

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
